std::ranges::subrange::empty(3)

NAME
std::ranges::subrange::empty - std::ranges::subrange::empty

Synopsis
   constexpr bool empty() const; (since C++20)
   Checks whether the subrange is empty, i.e. the stored iterator and sentinel compare
   equal.

Parameters
   (none)

Return value
   true if the stored iterator and sentinel compare equal, false otherwise.

Example
    This section is incomplete
    Reason: no example

See also
   size obtains the size of the subrange
   (C++20) (public member function)
   empty checks whether the container is empty
   (C++17) (function template)
   ranges::empty checks whether a range is empty
   (C++20) (customization point object)

Category:
     * Todo no example